# Class: Sha256

Class to help with Sha256 scheme.
TypeScript conversion from https://github.com/emn178/js-sha256.

## Table of contents

### Properties

- [SIZE_256](Sha256.md#size_256)
- [SIZE_224](Sha256.md#size_224)

### Methods

- [sum256](Sha256.md#sum256)
- [sum224](Sha256.md#sum224)
- [update](Sha256.md#update)
- [digest](Sha256.md#digest)

### Constructors

- [constructor](Sha256.md#constructor)

## Properties

### SIZE\_256

▪ `Static` `Readonly` **SIZE\_256**: `number` = `256`

Sha256 256.

___

### SIZE\_224

▪ `Static` `Readonly` **SIZE\_224**: `number` = `224`

Sha256 224.

## Methods

### sum256

▸ `Static` **sum256**(`data`): `Uint8Array`

Perform Sum 256 on the data.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `data` | `Uint8Array` | The data to operate on. |

#### Returns

`Uint8Array`

The sum 256 of the data.

___

### sum224

▸ `Static` **sum224**(`data`): `Uint8Array`

Perform Sum 224 on the data.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `data` | `Uint8Array` | The data to operate on. |

#### Returns

`Uint8Array`

The sum 224 of the data.

___

### update

▸ **update**(`message`): [`Sha256`](Sha256.md)

Update the hash with the data.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `message` | `Uint8Array` | The data to update the hash with. |

#### Returns

[`Sha256`](Sha256.md)

The instance for chaining.

___

### digest

▸ **digest**(): `Uint8Array`

Get the digest.

#### Returns

`Uint8Array`

The digest.

## Constructors

### constructor

• **new Sha256**(`bits?`)

Create a new instance of Sha256.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `bits` | `number` | The number of bits. |
